extends TextureButton


@export var memberClickAdd: int = 0
@export var memberPerSec: int = 0

# Called when the node enters the scene tree for the first time.
func _ready():
	# Connect the pressed signal to the _on_Button_pressed function
	self.connect("pressed", Callable(self, "_on_Button_pressed"))


func _on_Button_pressed():
	Global.globalClickAdd += memberClickAdd
	Global.globalScorePerSec += memberPerSec
	
	
	pass
